# -*- coding: utf-8 -*-
## ExternalSiteCatalog
## Index and search external sites in a Plone site
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
"""
The configuration and default values

$Id: config.py,v 1.13 2006/07/06 15:25:05 roeder Exp $
"""


#Plone compatiblity
plone_installed="installed"
try:
    import Products.CMFPlone
except:
    plone_installed=None

if plone_installed:
    from Products.CMFCore.DirectoryView import registerDirectory
    registerDirectory('skins', globals())

# Dependencies
_base_zope_DEPS = (
    'ExtendedPathIndex',
    )
_base_plone_DEPS = (
    'Archetypes',
    'ATContentTypes',
    )

# Add your own dependencies here
_my_zope_DEPS = (
    )
_my_plone_DEPS = (
    'PloneMaintenance',
    )

zope_DEPS= _base_zope_DEPS + _my_zope_DEPS
plone_DEPS = _base_plone_DEPS + _my_plone_DEPS    
    
import os

GLOBALS = globals()
PACKAGE_PATH = os.path.dirname(__file__)
DEFAULT_INDEXING_ROLE = 'Manager'
DEFAULT_CHARSET = 'UTF-8'

PROJECTNAME = 'ExternalSiteCatalog'
TOOLNAME = 'portal_externalsitecatalog'
